Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.url
Class ApacheURLLister

    java.lang.Object
      fr.jayasoft.ivy.url.ApacheURLLister

public class ApacheURLLister
extends java.lang.Object

Utility class which helps to list urls under a given url. This has been tested with Apache 1.3.33 server listing, as the one used at ibiblio, and with Apache 2.0.53 server listing, as the one on mirrors.sunsite.dk.

Author:
  Glen Marchesani, Xavier Hanin, John M. Shields

Constructor Summary
`ApacheURLLister()`

Method Summary
`java.util.List` | `listAll(java.net.URL url)` Returns a list of sub urls of the given url.
`java.util.List` | `listDirectories(java.net.URL url)` Returns a list of sub 'directories' of the given url.
`java.util.List` | `listFiles(java.net.URL url)` Returns a list of sub 'files' (in opposition to directories) of the given url.
`java.util.List` | `retrieveListing(java.net.URL url, boolean includeFiles, boolean includeDirectories)` Retrieves a `List` of `URL`s corresponding to the files and/or directories found at the supplied base URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApacheURLLister

    public ApacheURLLister()

Method Detail

### listAll

    public java.util.List listAll(java.net.URL url)
                           throws java.io.IOException

  Returns a list of sub urls of the given url. The returned list is a list of URL.

  Parameters:
    `url` - The base URL from which to retrieve the listing.
  Returns:
    a list of sub urls of the given url.
  Throws:
    `java.io.IOException` - If an error occures retrieving the HTML.

### listDirectories

    public java.util.List listDirectories(java.net.URL url)
                                   throws java.io.IOException

  Returns a list of sub 'directories' of the given url. The returned list is a list of URL.

  Parameters:
    `url` - The base URL from which to retrieve the listing.
  Returns:
    a list of sub 'directories' of the given url.
  Throws:
    `java.io.IOException` - If an error occures retrieving the HTML.

### listFiles

    public java.util.List listFiles(java.net.URL url)
                             throws java.io.IOException

  Returns a list of sub 'files' (in opposition to directories) of the given url. The returned list is a list of URL.

  Parameters:
    `url` - The base URL from which to retrieve the listing.
  Returns:
    a list of sub 'files' of the given url.
  Throws:
    `java.io.IOException` - If an error occures retrieving the HTML.

### retrieveListing

    public java.util.List retrieveListing(java.net.URL url,
                                          boolean includeFiles,
                                          boolean includeDirectories)
                                   throws java.io.IOException

  Retrieves a `List` of `URL`s corresponding to the files and/or directories found at the supplied base URL.

  Parameters:
    `url` - The base URL from which to retrieve the listing.
    `includeFiles` - If true include files in the returned list.
    `includeDirectories` - If true include directories in the returned list.
  Returns:
    A `List` of `URL`s.
  Throws:
    `java.io.IOException` - If an error occures retrieving the HTML.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD